gr::radar::trigger_command Class Reference

This block executes a command with the std::system() command if a value from a f32vector with a given identifier (symbol) is in a given range. Each index of a vector refers to a identifier. The execution of a command can be blocked for block_time milliseconds after the last execution. More...

`#include <trigger_command.h>`

Inheritance diagram for gr::radar::trigger_command:

## Public Types

typedef std::shared_ptr< trigger_command > | sptr

## Static Public Member Functions

static sptr | make (std::string command, std::vector< std::string > identifiers, std::vector< float > vals_min, std::vector< float > vals_max, int block_time)
| Return a shared_ptr to a new instance of radar::trigger_command.

## Detailed Description

This block executes a command with the std::system() command if a value from a f32vector with a given identifier (symbol) is in a given range. Each index of a vector refers to a identifier. The execution of a command can be blocked for block_time milliseconds after the last execution.

Parameters

  command | Command string
  identifiers | Identifiers (symbols) as vector of strings
  vals_min | Minimum values as f32vector
  vals_max | Maximum values as f32vector
  block_time | Block executing commands for block_time milliseconds

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<trigger_command> gr::radar::trigger_command::sptr

## Member Function Documentation

## make()

sptr gr::radar::trigger_command::make | ( | std::string | command,
|  | std::vector< std::string > | identifiers,
|  | std::vector< float > | vals_min,
|  | std::vector< float > | vals_max,
|  | int | block_time )

static

Return a shared_ptr to a new instance of radar::trigger_command.

To avoid accidental use of raw pointers, radar::trigger_command's constructor is in a private implementation class. radar::trigger_command::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- trigger_command.h